// Code generated by go-swagger; DO NOT EDIT.

package admin

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"context"
	"net/http"
	"time"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	cr "github.com/go-openapi/runtime/client"
	"github.com/go-openapi/strfmt"

	"github.com/ory/hydra-client-go/models"
)

// NewCreateJSONWebKeySetParams creates a new CreateJSONWebKeySetParams object,
// with the default timeout for this client.
//
// Default values are not hydrated, since defaults are normally applied by the API server side.
//
// To enforce default values in parameter, use SetDefaults or WithDefaults.
func NewCreateJSONWebKeySetParams() *CreateJSONWebKeySetParams {
	return &CreateJSONWebKeySetParams{
		timeout: cr.DefaultTimeout,
	}
}

// NewCreateJSONWebKeySetParamsWithTimeout creates a new CreateJSONWebKeySetParams object
// with the ability to set a timeout on a request.
func NewCreateJSONWebKeySetParamsWithTimeout(timeout time.Duration) *CreateJSONWebKeySetParams {
	return &CreateJSONWebKeySetParams{
		timeout: timeout,
	}
}

// NewCreateJSONWebKeySetParamsWithContext creates a new CreateJSONWebKeySetParams object
// with the ability to set a context for a request.
func NewCreateJSONWebKeySetParamsWithContext(ctx context.Context) *CreateJSONWebKeySetParams {
	return &CreateJSONWebKeySetParams{
		Context: ctx,
	}
}

// NewCreateJSONWebKeySetParamsWithHTTPClient creates a new CreateJSONWebKeySetParams object
// with the ability to set a custom HTTPClient for a request.
func NewCreateJSONWebKeySetParamsWithHTTPClient(client *http.Client) *CreateJSONWebKeySetParams {
	return &CreateJSONWebKeySetParams{
		HTTPClient: client,
	}
}

/* CreateJSONWebKeySetParams contains all the parameters to send to the API endpoint
   for the create Json web key set operation.

   Typically these are written to a http.Request.
*/
type CreateJSONWebKeySetParams struct {

	// Body.
	Body *models.JSONWebKeySetGeneratorRequest

	/* Set.

	   The set
	*/
	Set string

	timeout    time.Duration
	Context    context.Context
	HTTPClient *http.Client
}

// WithDefaults hydrates default values in the create Json web key set params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *CreateJSONWebKeySetParams) WithDefaults() *CreateJSONWebKeySetParams {
	o.SetDefaults()
	return o
}

// SetDefaults hydrates default values in the create Json web key set params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *CreateJSONWebKeySetParams) SetDefaults() {
	// no default values defined for this parameter
}

// WithTimeout adds the timeout to the create Json web key set params
func (o *CreateJSONWebKeySetParams) WithTimeout(timeout time.Duration) *CreateJSONWebKeySetParams {
	o.SetTimeout(timeout)
	return o
}

// SetTimeout adds the timeout to the create Json web key set params
func (o *CreateJSONWebKeySetParams) SetTimeout(timeout time.Duration) {
	o.timeout = timeout
}

// WithContext adds the context to the create Json web key set params
func (o *CreateJSONWebKeySetParams) WithContext(ctx context.Context) *CreateJSONWebKeySetParams {
	o.SetContext(ctx)
	return o
}

// SetContext adds the context to the create Json web key set params
func (o *CreateJSONWebKeySetParams) SetContext(ctx context.Context) {
	o.Context = ctx
}

// WithHTTPClient adds the HTTPClient to the create Json web key set params
func (o *CreateJSONWebKeySetParams) WithHTTPClient(client *http.Client) *CreateJSONWebKeySetParams {
	o.SetHTTPClient(client)
	return o
}

// SetHTTPClient adds the HTTPClient to the create Json web key set params
func (o *CreateJSONWebKeySetParams) SetHTTPClient(client *http.Client) {
	o.HTTPClient = client
}

// WithBody adds the body to the create Json web key set params
func (o *CreateJSONWebKeySetParams) WithBody(body *models.JSONWebKeySetGeneratorRequest) *CreateJSONWebKeySetParams {
	o.SetBody(body)
	return o
}

// SetBody adds the body to the create Json web key set params
func (o *CreateJSONWebKeySetParams) SetBody(body *models.JSONWebKeySetGeneratorRequest) {
	o.Body = body
}

// WithSet adds the set to the create Json web key set params
func (o *CreateJSONWebKeySetParams) WithSet(set string) *CreateJSONWebKeySetParams {
	o.SetSet(set)
	return o
}

// SetSet adds the set to the create Json web key set params
func (o *CreateJSONWebKeySetParams) SetSet(set string) {
	o.Set = set
}

// WriteToRequest writes these params to a swagger request
func (o *CreateJSONWebKeySetParams) WriteToRequest(r runtime.ClientRequest, reg strfmt.Registry) error {

	if err := r.SetTimeout(o.timeout); err != nil {
		return err
	}
	var res []error
	if o.Body != nil {
		if err := r.SetBodyParam(o.Body); err != nil {
			return err
		}
	}

	// path param set
	if err := r.SetPathParam("set", o.Set); err != nil {
		return err
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
