// Code generated by go-swagger; DO NOT EDIT.

package admin

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"context"
	"net/http"
	"time"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	cr "github.com/go-openapi/runtime/client"
	"github.com/go-openapi/strfmt"
)

// NewGetConsentRequestParams creates a new GetConsentRequestParams object,
// with the default timeout for this client.
//
// Default values are not hydrated, since defaults are normally applied by the API server side.
//
// To enforce default values in parameter, use SetDefaults or WithDefaults.
func NewGetConsentRequestParams() *GetConsentRequestParams {
	return &GetConsentRequestParams{
		timeout: cr.DefaultTimeout,
	}
}

// NewGetConsentRequestParamsWithTimeout creates a new GetConsentRequestParams object
// with the ability to set a timeout on a request.
func NewGetConsentRequestParamsWithTimeout(timeout time.Duration) *GetConsentRequestParams {
	return &GetConsentRequestParams{
		timeout: timeout,
	}
}

// NewGetConsentRequestParamsWithContext creates a new GetConsentRequestParams object
// with the ability to set a context for a request.
func NewGetConsentRequestParamsWithContext(ctx context.Context) *GetConsentRequestParams {
	return &GetConsentRequestParams{
		Context: ctx,
	}
}

// NewGetConsentRequestParamsWithHTTPClient creates a new GetConsentRequestParams object
// with the ability to set a custom HTTPClient for a request.
func NewGetConsentRequestParamsWithHTTPClient(client *http.Client) *GetConsentRequestParams {
	return &GetConsentRequestParams{
		HTTPClient: client,
	}
}

/* GetConsentRequestParams contains all the parameters to send to the API endpoint
   for the get consent request operation.

   Typically these are written to a http.Request.
*/
type GetConsentRequestParams struct {

	// ConsentChallenge.
	ConsentChallenge string

	timeout    time.Duration
	Context    context.Context
	HTTPClient *http.Client
}

// WithDefaults hydrates default values in the get consent request params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *GetConsentRequestParams) WithDefaults() *GetConsentRequestParams {
	o.SetDefaults()
	return o
}

// SetDefaults hydrates default values in the get consent request params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *GetConsentRequestParams) SetDefaults() {
	// no default values defined for this parameter
}

// WithTimeout adds the timeout to the get consent request params
func (o *GetConsentRequestParams) WithTimeout(timeout time.Duration) *GetConsentRequestParams {
	o.SetTimeout(timeout)
	return o
}

// SetTimeout adds the timeout to the get consent request params
func (o *GetConsentRequestParams) SetTimeout(timeout time.Duration) {
	o.timeout = timeout
}

// WithContext adds the context to the get consent request params
func (o *GetConsentRequestParams) WithContext(ctx context.Context) *GetConsentRequestParams {
	o.SetContext(ctx)
	return o
}

// SetContext adds the context to the get consent request params
func (o *GetConsentRequestParams) SetContext(ctx context.Context) {
	o.Context = ctx
}

// WithHTTPClient adds the HTTPClient to the get consent request params
func (o *GetConsentRequestParams) WithHTTPClient(client *http.Client) *GetConsentRequestParams {
	o.SetHTTPClient(client)
	return o
}

// SetHTTPClient adds the HTTPClient to the get consent request params
func (o *GetConsentRequestParams) SetHTTPClient(client *http.Client) {
	o.HTTPClient = client
}

// WithConsentChallenge adds the consentChallenge to the get consent request params
func (o *GetConsentRequestParams) WithConsentChallenge(consentChallenge string) *GetConsentRequestParams {
	o.SetConsentChallenge(consentChallenge)
	return o
}

// SetConsentChallenge adds the consentChallenge to the get consent request params
func (o *GetConsentRequestParams) SetConsentChallenge(consentChallenge string) {
	o.ConsentChallenge = consentChallenge
}

// WriteToRequest writes these params to a swagger request
func (o *GetConsentRequestParams) WriteToRequest(r runtime.ClientRequest, reg strfmt.Registry) error {

	if err := r.SetTimeout(o.timeout); err != nil {
		return err
	}
	var res []error

	// query param consent_challenge
	qrConsentChallenge := o.ConsentChallenge
	qConsentChallenge := qrConsentChallenge
	if qConsentChallenge != "" {

		if err := r.SetQueryParam("consent_challenge", qConsentChallenge); err != nil {
			return err
		}
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
