// Code generated by go-swagger; DO NOT EDIT.

package admin

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"context"
	"net/http"
	"time"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	cr "github.com/go-openapi/runtime/client"
	"github.com/go-openapi/strfmt"
)

// NewGetOAuth2ClientParams creates a new GetOAuth2ClientParams object,
// with the default timeout for this client.
//
// Default values are not hydrated, since defaults are normally applied by the API server side.
//
// To enforce default values in parameter, use SetDefaults or WithDefaults.
func NewGetOAuth2ClientParams() *GetOAuth2ClientParams {
	return &GetOAuth2ClientParams{
		timeout: cr.DefaultTimeout,
	}
}

// NewGetOAuth2ClientParamsWithTimeout creates a new GetOAuth2ClientParams object
// with the ability to set a timeout on a request.
func NewGetOAuth2ClientParamsWithTimeout(timeout time.Duration) *GetOAuth2ClientParams {
	return &GetOAuth2ClientParams{
		timeout: timeout,
	}
}

// NewGetOAuth2ClientParamsWithContext creates a new GetOAuth2ClientParams object
// with the ability to set a context for a request.
func NewGetOAuth2ClientParamsWithContext(ctx context.Context) *GetOAuth2ClientParams {
	return &GetOAuth2ClientParams{
		Context: ctx,
	}
}

// NewGetOAuth2ClientParamsWithHTTPClient creates a new GetOAuth2ClientParams object
// with the ability to set a custom HTTPClient for a request.
func NewGetOAuth2ClientParamsWithHTTPClient(client *http.Client) *GetOAuth2ClientParams {
	return &GetOAuth2ClientParams{
		HTTPClient: client,
	}
}

/* GetOAuth2ClientParams contains all the parameters to send to the API endpoint
   for the get o auth2 client operation.

   Typically these are written to a http.Request.
*/
type GetOAuth2ClientParams struct {

	/* ID.

	   The id of the OAuth 2.0 Client.
	*/
	ID string

	timeout    time.Duration
	Context    context.Context
	HTTPClient *http.Client
}

// WithDefaults hydrates default values in the get o auth2 client params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *GetOAuth2ClientParams) WithDefaults() *GetOAuth2ClientParams {
	o.SetDefaults()
	return o
}

// SetDefaults hydrates default values in the get o auth2 client params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *GetOAuth2ClientParams) SetDefaults() {
	// no default values defined for this parameter
}

// WithTimeout adds the timeout to the get o auth2 client params
func (o *GetOAuth2ClientParams) WithTimeout(timeout time.Duration) *GetOAuth2ClientParams {
	o.SetTimeout(timeout)
	return o
}

// SetTimeout adds the timeout to the get o auth2 client params
func (o *GetOAuth2ClientParams) SetTimeout(timeout time.Duration) {
	o.timeout = timeout
}

// WithContext adds the context to the get o auth2 client params
func (o *GetOAuth2ClientParams) WithContext(ctx context.Context) *GetOAuth2ClientParams {
	o.SetContext(ctx)
	return o
}

// SetContext adds the context to the get o auth2 client params
func (o *GetOAuth2ClientParams) SetContext(ctx context.Context) {
	o.Context = ctx
}

// WithHTTPClient adds the HTTPClient to the get o auth2 client params
func (o *GetOAuth2ClientParams) WithHTTPClient(client *http.Client) *GetOAuth2ClientParams {
	o.SetHTTPClient(client)
	return o
}

// SetHTTPClient adds the HTTPClient to the get o auth2 client params
func (o *GetOAuth2ClientParams) SetHTTPClient(client *http.Client) {
	o.HTTPClient = client
}

// WithID adds the id to the get o auth2 client params
func (o *GetOAuth2ClientParams) WithID(id string) *GetOAuth2ClientParams {
	o.SetID(id)
	return o
}

// SetID adds the id to the get o auth2 client params
func (o *GetOAuth2ClientParams) SetID(id string) {
	o.ID = id
}

// WriteToRequest writes these params to a swagger request
func (o *GetOAuth2ClientParams) WriteToRequest(r runtime.ClientRequest, reg strfmt.Registry) error {

	if err := r.SetTimeout(o.timeout); err != nil {
		return err
	}
	var res []error

	// path param id
	if err := r.SetPathParam("id", o.ID); err != nil {
		return err
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
