// Code generated by go-swagger; DO NOT EDIT.

package admin

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"context"
	"net/http"
	"time"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	cr "github.com/go-openapi/runtime/client"
	"github.com/go-openapi/strfmt"

	"github.com/ory/hydra-client-go/models"
)

// NewPatchOAuth2ClientParams creates a new PatchOAuth2ClientParams object,
// with the default timeout for this client.
//
// Default values are not hydrated, since defaults are normally applied by the API server side.
//
// To enforce default values in parameter, use SetDefaults or WithDefaults.
func NewPatchOAuth2ClientParams() *PatchOAuth2ClientParams {
	return &PatchOAuth2ClientParams{
		timeout: cr.DefaultTimeout,
	}
}

// NewPatchOAuth2ClientParamsWithTimeout creates a new PatchOAuth2ClientParams object
// with the ability to set a timeout on a request.
func NewPatchOAuth2ClientParamsWithTimeout(timeout time.Duration) *PatchOAuth2ClientParams {
	return &PatchOAuth2ClientParams{
		timeout: timeout,
	}
}

// NewPatchOAuth2ClientParamsWithContext creates a new PatchOAuth2ClientParams object
// with the ability to set a context for a request.
func NewPatchOAuth2ClientParamsWithContext(ctx context.Context) *PatchOAuth2ClientParams {
	return &PatchOAuth2ClientParams{
		Context: ctx,
	}
}

// NewPatchOAuth2ClientParamsWithHTTPClient creates a new PatchOAuth2ClientParams object
// with the ability to set a custom HTTPClient for a request.
func NewPatchOAuth2ClientParamsWithHTTPClient(client *http.Client) *PatchOAuth2ClientParams {
	return &PatchOAuth2ClientParams{
		HTTPClient: client,
	}
}

/* PatchOAuth2ClientParams contains all the parameters to send to the API endpoint
   for the patch o auth2 client operation.

   Typically these are written to a http.Request.
*/
type PatchOAuth2ClientParams struct {

	// Body.
	Body models.PatchRequest

	// ID.
	ID string

	timeout    time.Duration
	Context    context.Context
	HTTPClient *http.Client
}

// WithDefaults hydrates default values in the patch o auth2 client params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *PatchOAuth2ClientParams) WithDefaults() *PatchOAuth2ClientParams {
	o.SetDefaults()
	return o
}

// SetDefaults hydrates default values in the patch o auth2 client params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *PatchOAuth2ClientParams) SetDefaults() {
	// no default values defined for this parameter
}

// WithTimeout adds the timeout to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) WithTimeout(timeout time.Duration) *PatchOAuth2ClientParams {
	o.SetTimeout(timeout)
	return o
}

// SetTimeout adds the timeout to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) SetTimeout(timeout time.Duration) {
	o.timeout = timeout
}

// WithContext adds the context to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) WithContext(ctx context.Context) *PatchOAuth2ClientParams {
	o.SetContext(ctx)
	return o
}

// SetContext adds the context to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) SetContext(ctx context.Context) {
	o.Context = ctx
}

// WithHTTPClient adds the HTTPClient to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) WithHTTPClient(client *http.Client) *PatchOAuth2ClientParams {
	o.SetHTTPClient(client)
	return o
}

// SetHTTPClient adds the HTTPClient to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) SetHTTPClient(client *http.Client) {
	o.HTTPClient = client
}

// WithBody adds the body to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) WithBody(body models.PatchRequest) *PatchOAuth2ClientParams {
	o.SetBody(body)
	return o
}

// SetBody adds the body to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) SetBody(body models.PatchRequest) {
	o.Body = body
}

// WithID adds the id to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) WithID(id string) *PatchOAuth2ClientParams {
	o.SetID(id)
	return o
}

// SetID adds the id to the patch o auth2 client params
func (o *PatchOAuth2ClientParams) SetID(id string) {
	o.ID = id
}

// WriteToRequest writes these params to a swagger request
func (o *PatchOAuth2ClientParams) WriteToRequest(r runtime.ClientRequest, reg strfmt.Registry) error {

	if err := r.SetTimeout(o.timeout); err != nil {
		return err
	}
	var res []error
	if o.Body != nil {
		if err := r.SetBodyParam(o.Body); err != nil {
			return err
		}
	}

	// path param id
	if err := r.SetPathParam("id", o.ID); err != nil {
		return err
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
