// Code generated by go-swagger; DO NOT EDIT.

package admin

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"context"
	"net/http"
	"time"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	cr "github.com/go-openapi/runtime/client"
	"github.com/go-openapi/strfmt"

	"github.com/ory/hydra-client-go/models"
)

// NewRejectConsentRequestParams creates a new RejectConsentRequestParams object,
// with the default timeout for this client.
//
// Default values are not hydrated, since defaults are normally applied by the API server side.
//
// To enforce default values in parameter, use SetDefaults or WithDefaults.
func NewRejectConsentRequestParams() *RejectConsentRequestParams {
	return &RejectConsentRequestParams{
		timeout: cr.DefaultTimeout,
	}
}

// NewRejectConsentRequestParamsWithTimeout creates a new RejectConsentRequestParams object
// with the ability to set a timeout on a request.
func NewRejectConsentRequestParamsWithTimeout(timeout time.Duration) *RejectConsentRequestParams {
	return &RejectConsentRequestParams{
		timeout: timeout,
	}
}

// NewRejectConsentRequestParamsWithContext creates a new RejectConsentRequestParams object
// with the ability to set a context for a request.
func NewRejectConsentRequestParamsWithContext(ctx context.Context) *RejectConsentRequestParams {
	return &RejectConsentRequestParams{
		Context: ctx,
	}
}

// NewRejectConsentRequestParamsWithHTTPClient creates a new RejectConsentRequestParams object
// with the ability to set a custom HTTPClient for a request.
func NewRejectConsentRequestParamsWithHTTPClient(client *http.Client) *RejectConsentRequestParams {
	return &RejectConsentRequestParams{
		HTTPClient: client,
	}
}

/* RejectConsentRequestParams contains all the parameters to send to the API endpoint
   for the reject consent request operation.

   Typically these are written to a http.Request.
*/
type RejectConsentRequestParams struct {

	// Body.
	Body *models.RejectRequest

	// ConsentChallenge.
	ConsentChallenge string

	timeout    time.Duration
	Context    context.Context
	HTTPClient *http.Client
}

// WithDefaults hydrates default values in the reject consent request params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *RejectConsentRequestParams) WithDefaults() *RejectConsentRequestParams {
	o.SetDefaults()
	return o
}

// SetDefaults hydrates default values in the reject consent request params (not the query body).
//
// All values with no default are reset to their zero value.
func (o *RejectConsentRequestParams) SetDefaults() {
	// no default values defined for this parameter
}

// WithTimeout adds the timeout to the reject consent request params
func (o *RejectConsentRequestParams) WithTimeout(timeout time.Duration) *RejectConsentRequestParams {
	o.SetTimeout(timeout)
	return o
}

// SetTimeout adds the timeout to the reject consent request params
func (o *RejectConsentRequestParams) SetTimeout(timeout time.Duration) {
	o.timeout = timeout
}

// WithContext adds the context to the reject consent request params
func (o *RejectConsentRequestParams) WithContext(ctx context.Context) *RejectConsentRequestParams {
	o.SetContext(ctx)
	return o
}

// SetContext adds the context to the reject consent request params
func (o *RejectConsentRequestParams) SetContext(ctx context.Context) {
	o.Context = ctx
}

// WithHTTPClient adds the HTTPClient to the reject consent request params
func (o *RejectConsentRequestParams) WithHTTPClient(client *http.Client) *RejectConsentRequestParams {
	o.SetHTTPClient(client)
	return o
}

// SetHTTPClient adds the HTTPClient to the reject consent request params
func (o *RejectConsentRequestParams) SetHTTPClient(client *http.Client) {
	o.HTTPClient = client
}

// WithBody adds the body to the reject consent request params
func (o *RejectConsentRequestParams) WithBody(body *models.RejectRequest) *RejectConsentRequestParams {
	o.SetBody(body)
	return o
}

// SetBody adds the body to the reject consent request params
func (o *RejectConsentRequestParams) SetBody(body *models.RejectRequest) {
	o.Body = body
}

// WithConsentChallenge adds the consentChallenge to the reject consent request params
func (o *RejectConsentRequestParams) WithConsentChallenge(consentChallenge string) *RejectConsentRequestParams {
	o.SetConsentChallenge(consentChallenge)
	return o
}

// SetConsentChallenge adds the consentChallenge to the reject consent request params
func (o *RejectConsentRequestParams) SetConsentChallenge(consentChallenge string) {
	o.ConsentChallenge = consentChallenge
}

// WriteToRequest writes these params to a swagger request
func (o *RejectConsentRequestParams) WriteToRequest(r runtime.ClientRequest, reg strfmt.Registry) error {

	if err := r.SetTimeout(o.timeout); err != nil {
		return err
	}
	var res []error
	if o.Body != nil {
		if err := r.SetBodyParam(o.Body); err != nil {
			return err
		}
	}

	// query param consent_challenge
	qrConsentChallenge := o.ConsentChallenge
	qConsentChallenge := qrConsentChallenge
	if qConsentChallenge != "" {

		if err := r.SetQueryParam("consent_challenge", qConsentChallenge); err != nil {
			return err
		}
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
