// Code generated by go-swagger; DO NOT EDIT.

package public

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"
	"github.com/go-openapi/strfmt"

	"github.com/ory/hydra-client-go/models"
)

// OauthAuthReader is a Reader for the OauthAuth structure.
type OauthAuthReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *OauthAuthReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 302:
		result := NewOauthAuthFound()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewOauthAuthUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewOauthAuthInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	default:
		return nil, runtime.NewAPIError("response status code does not match any response statuses defined for this endpoint in the swagger spec", response, response.Code())
	}
}

// NewOauthAuthFound creates a OauthAuthFound with default headers values
func NewOauthAuthFound() *OauthAuthFound {
	return &OauthAuthFound{}
}

/* OauthAuthFound describes a response with status code 302, with default header values.

 Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is
typically 201.
*/
type OauthAuthFound struct {
}

func (o *OauthAuthFound) Error() string {
	return fmt.Sprintf("[GET /oauth2/auth][%d] oauthAuthFound ", 302)
}

func (o *OauthAuthFound) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	return nil
}

// NewOauthAuthUnauthorized creates a OauthAuthUnauthorized with default headers values
func NewOauthAuthUnauthorized() *OauthAuthUnauthorized {
	return &OauthAuthUnauthorized{}
}

/* OauthAuthUnauthorized describes a response with status code 401, with default header values.

jsonError
*/
type OauthAuthUnauthorized struct {
	Payload *models.JSONError
}

func (o *OauthAuthUnauthorized) Error() string {
	return fmt.Sprintf("[GET /oauth2/auth][%d] oauthAuthUnauthorized  %+v", 401, o.Payload)
}
func (o *OauthAuthUnauthorized) GetPayload() *models.JSONError {
	return o.Payload
}

func (o *OauthAuthUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.JSONError)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewOauthAuthInternalServerError creates a OauthAuthInternalServerError with default headers values
func NewOauthAuthInternalServerError() *OauthAuthInternalServerError {
	return &OauthAuthInternalServerError{}
}

/* OauthAuthInternalServerError describes a response with status code 500, with default header values.

jsonError
*/
type OauthAuthInternalServerError struct {
	Payload *models.JSONError
}

func (o *OauthAuthInternalServerError) Error() string {
	return fmt.Sprintf("[GET /oauth2/auth][%d] oauthAuthInternalServerError  %+v", 500, o.Payload)
}
func (o *OauthAuthInternalServerError) GetPayload() *models.JSONError {
	return o.Payload
}

func (o *OauthAuthInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.JSONError)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
