// The MIT License
//
// Copyright (c) 2020 Temporal Technologies Inc.  All rights reserved.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: temporal/api/enums/v1/command_type.proto

package enums

import (
	fmt "fmt"
	math "math"
	strconv "strconv"

	proto "github.com/gogo/protobuf/proto"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.GoGoProtoPackageIsVersion3 // please upgrade the proto package

// Whenever this list of command types is changed do change the function shouldBufferEvent in mutableStateBuilder.go to make sure to do the correct event ordering.
type CommandType int32

const (
	COMMAND_TYPE_UNSPECIFIED                                CommandType = 0
	COMMAND_TYPE_SCHEDULE_ACTIVITY_TASK                     CommandType = 1
	COMMAND_TYPE_REQUEST_CANCEL_ACTIVITY_TASK               CommandType = 2
	COMMAND_TYPE_START_TIMER                                CommandType = 3
	COMMAND_TYPE_COMPLETE_WORKFLOW_EXECUTION                CommandType = 4
	COMMAND_TYPE_FAIL_WORKFLOW_EXECUTION                    CommandType = 5
	COMMAND_TYPE_CANCEL_TIMER                               CommandType = 6
	COMMAND_TYPE_CANCEL_WORKFLOW_EXECUTION                  CommandType = 7
	COMMAND_TYPE_REQUEST_CANCEL_EXTERNAL_WORKFLOW_EXECUTION CommandType = 8
	COMMAND_TYPE_RECORD_MARKER                              CommandType = 9
	COMMAND_TYPE_CONTINUE_AS_NEW_WORKFLOW_EXECUTION         CommandType = 10
	COMMAND_TYPE_START_CHILD_WORKFLOW_EXECUTION             CommandType = 11
	COMMAND_TYPE_SIGNAL_EXTERNAL_WORKFLOW_EXECUTION         CommandType = 12
	COMMAND_TYPE_UPSERT_WORKFLOW_SEARCH_ATTRIBUTES          CommandType = 13
)

var CommandType_name = map[int32]string{
	0:  "Unspecified",
	1:  "ScheduleActivityTask",
	2:  "RequestCancelActivityTask",
	3:  "StartTimer",
	4:  "CompleteWorkflowExecution",
	5:  "FailWorkflowExecution",
	6:  "CancelTimer",
	7:  "CancelWorkflowExecution",
	8:  "RequestCancelExternalWorkflowExecution",
	9:  "RecordMarker",
	10: "ContinueAsNewWorkflowExecution",
	11: "StartChildWorkflowExecution",
	12: "SignalExternalWorkflowExecution",
	13: "UpsertWorkflowSearchAttributes",
}

var CommandType_value = map[string]int32{
	"Unspecified":                            0,
	"ScheduleActivityTask":                   1,
	"RequestCancelActivityTask":              2,
	"StartTimer":                             3,
	"CompleteWorkflowExecution":              4,
	"FailWorkflowExecution":                  5,
	"CancelTimer":                            6,
	"CancelWorkflowExecution":                7,
	"RequestCancelExternalWorkflowExecution": 8,
	"RecordMarker":                           9,
	"ContinueAsNewWorkflowExecution":         10,
	"StartChildWorkflowExecution":            11,
	"SignalExternalWorkflowExecution":        12,
	"UpsertWorkflowSearchAttributes":         13,
}

func (CommandType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_e70af5ad8bd10de0, []int{0}
}

func init() {
	proto.RegisterEnum("temporal.api.enums.v1.CommandType", CommandType_name, CommandType_value)
}

func init() {
	proto.RegisterFile("temporal/api/enums/v1/command_type.proto", fileDescriptor_e70af5ad8bd10de0)
}

var fileDescriptor_e70af5ad8bd10de0 = []byte{
	// 483 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x7c, 0x93, 0xc1, 0x6e, 0xd3, 0x40,
	0x10, 0x86, 0xbd, 0xa1, 0x14, 0xd8, 0x82, 0x64, 0xad, 0x54, 0x29, 0x20, 0x58, 0x09, 0x81, 0x20,
	0x14, 0xb0, 0x15, 0x7a, 0x40, 0x72, 0x4f, 0x9b, 0xcd, 0x84, 0xac, 0xe2, 0xd8, 0x66, 0x77, 0x9d,
	0xb4, 0x5c, 0x56, 0x01, 0x22, 0x64, 0x89, 0xd4, 0x56, 0x09, 0x95, 0x7a, 0xe3, 0x11, 0x78, 0x0c,
	0xc4, 0x13, 0xf0, 0x08, 0x1c, 0x73, 0xec, 0x91, 0x38, 0x17, 0xc4, 0x29, 0x8f, 0x80, 0x9a, 0x28,
	0x6a, 0x9d, 0x5a, 0xbd, 0x59, 0xfe, 0xbf, 0xf9, 0x67, 0x66, 0xf5, 0x0f, 0xae, 0x8d, 0x87, 0xa3,
	0x2c, 0x3d, 0x1a, 0x7c, 0x76, 0x07, 0x59, 0xe2, 0x0e, 0x0f, 0xbf, 0x8e, 0xbe, 0xb8, 0xc7, 0x75,
	0xf7, 0x43, 0x3a, 0x1a, 0x0d, 0x0e, 0x3f, 0x9a, 0xf1, 0x49, 0x36, 0x74, 0xb2, 0xa3, 0x74, 0x9c,
	0x92, 0xed, 0x15, 0xe9, 0x0c, 0xb2, 0xc4, 0x59, 0x90, 0xce, 0x71, 0x7d, 0x67, 0xbe, 0x81, 0xb7,
	0xf8, 0x92, 0xd6, 0x27, 0xd9, 0x90, 0xdc, 0xc7, 0x55, 0x1e, 0x76, 0xbb, 0x2c, 0x68, 0x1a, 0x7d,
	0x10, 0x81, 0x89, 0x03, 0x15, 0x01, 0x17, 0x2d, 0x01, 0x4d, 0xdb, 0x22, 0x4f, 0xf1, 0xa3, 0x82,
	0xaa, 0x78, 0x1b, 0x9a, 0xb1, 0x0f, 0x86, 0x71, 0x2d, 0x7a, 0x42, 0x1f, 0x18, 0xcd, 0x54, 0xc7,
	0x46, 0xe4, 0x25, 0x7e, 0x56, 0x00, 0x25, 0xbc, 0x8d, 0x41, 0x69, 0xc3, 0x59, 0xc0, 0xc1, 0x5f,
	0xc3, 0x2b, 0x97, 0xba, 0x2a, 0xcd, 0xa4, 0x36, 0x5a, 0x74, 0x41, 0xda, 0xd7, 0xc8, 0x0b, 0x5c,
	0x2b, 0xa8, 0x3c, 0xec, 0x46, 0x3e, 0x68, 0x30, 0xfd, 0x50, 0x76, 0x5a, 0x7e, 0xd8, 0x37, 0xb0,
	0x0f, 0x3c, 0xd6, 0x22, 0x0c, 0xec, 0x0d, 0x52, 0xc3, 0x8f, 0x0b, 0x74, 0x8b, 0x09, 0xbf, 0x8c,
	0xbc, 0x4e, 0x1e, 0xe0, 0xbb, 0x45, 0xdf, 0xe5, 0x70, 0xcb, 0xb6, 0x9b, 0x64, 0x07, 0x3f, 0x29,
	0x93, 0x4b, 0xac, 0x6e, 0x90, 0x3d, 0xfc, 0xfa, 0xaa, 0x7d, 0x61, 0x5f, 0x83, 0x0c, 0x58, 0x69,
	0xf1, 0x4d, 0x42, 0xf1, 0xbd, 0xb5, 0x62, 0x1e, 0xca, 0xa6, 0xe9, 0x32, 0xd9, 0x01, 0x69, 0xdf,
	0x22, 0xbb, 0xd8, 0x5d, 0xdb, 0x3f, 0xd0, 0x22, 0x88, 0xc1, 0x30, 0x65, 0x02, 0xe8, 0x97, 0x99,
	0x62, 0xe2, 0xe2, 0xe7, 0x25, 0x4f, 0xca, 0xdb, 0xc2, 0x6f, 0x96, 0x15, 0x6c, 0x5d, 0xea, 0xa2,
	0xc4, 0x9b, 0xb3, 0x89, 0xaf, 0x1a, 0xfd, 0x36, 0x79, 0x85, 0x9d, 0x62, 0x5c, 0x22, 0x05, 0x52,
	0x9f, 0xb3, 0x0a, 0x98, 0xe4, 0x6d, 0xc3, 0xb4, 0x96, 0xa2, 0x11, 0x6b, 0x50, 0xf6, 0x9d, 0xc6,
	0x2f, 0x34, 0x99, 0x52, 0xeb, 0x74, 0x4a, 0xad, 0xf9, 0x94, 0xa2, 0x6f, 0x39, 0x45, 0x3f, 0x72,
	0x8a, 0x7e, 0xe7, 0x14, 0x4d, 0x72, 0x8a, 0xfe, 0xe4, 0x14, 0xfd, 0xcd, 0xa9, 0x35, 0xcf, 0x29,
	0xfa, 0x3e, 0xa3, 0xd6, 0x64, 0x46, 0xad, 0xd3, 0x19, 0xb5, 0x70, 0x35, 0x49, 0x9d, 0xd2, 0x0c,
	0x37, 0xec, 0x0b, 0x01, 0x8e, 0xce, 0xc2, 0x1e, 0xa1, 0x77, 0x0f, 0x3f, 0x5d, 0xa0, 0x93, 0xb4,
	0x70, 0x1e, 0x7b, 0x8b, 0x8f, 0x9f, 0x95, 0x6d, 0xbd, 0x02, 0x58, 0x96, 0x38, 0xb0, 0xb0, 0xeb,
	0xd5, 0xff, 0x55, 0xaa, 0xab, 0xff, 0x9e, 0xc7, 0xb2, 0xc4, 0xf3, 0x16, 0x8a, 0xe7, 0xf5, 0xea,
	0xef, 0x37, 0x17, 0xb7, 0xb4, 0xfb, 0x3f, 0x00, 0x00, 0xff, 0xff, 0x84, 0xd9, 0xe9, 0xe7, 0x77,
	0x03, 0x00, 0x00,
}

func (x CommandType) String() string {
	s, ok := CommandType_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
