// The MIT License
//
// Copyright (c) 2020 Temporal Technologies Inc.  All rights reserved.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: temporal/api/enums/v1/common.proto

package enums

import (
	fmt "fmt"
	math "math"
	strconv "strconv"

	proto "github.com/gogo/protobuf/proto"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.GoGoProtoPackageIsVersion3 // please upgrade the proto package

type EncodingType int32

const (
	ENCODING_TYPE_UNSPECIFIED EncodingType = 0
	ENCODING_TYPE_PROTO3      EncodingType = 1
	ENCODING_TYPE_JSON        EncodingType = 2
)

var EncodingType_name = map[int32]string{
	0: "Unspecified",
	1: "Proto3",
	2: "Json",
}

var EncodingType_value = map[string]int32{
	"Unspecified": 0,
	"Proto3":      1,
	"Json":        2,
}

func (EncodingType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_768283dde248a0f8, []int{0}
}

type IndexedValueType int32

const (
	INDEXED_VALUE_TYPE_UNSPECIFIED IndexedValueType = 0
	INDEXED_VALUE_TYPE_TEXT        IndexedValueType = 1
	INDEXED_VALUE_TYPE_KEYWORD     IndexedValueType = 2
	INDEXED_VALUE_TYPE_INT         IndexedValueType = 3
	INDEXED_VALUE_TYPE_DOUBLE      IndexedValueType = 4
	INDEXED_VALUE_TYPE_BOOL        IndexedValueType = 5
	INDEXED_VALUE_TYPE_DATETIME    IndexedValueType = 6
)

var IndexedValueType_name = map[int32]string{
	0: "Unspecified",
	1: "Text",
	2: "Keyword",
	3: "Int",
	4: "Double",
	5: "Bool",
	6: "Datetime",
}

var IndexedValueType_value = map[string]int32{
	"Unspecified": 0,
	"Text":        1,
	"Keyword":     2,
	"Int":         3,
	"Double":      4,
	"Bool":        5,
	"Datetime":    6,
}

func (IndexedValueType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_768283dde248a0f8, []int{1}
}

type Severity int32

const (
	SEVERITY_UNSPECIFIED Severity = 0
	SEVERITY_HIGH        Severity = 1
	SEVERITY_MEDIUM      Severity = 2
	SEVERITY_LOW         Severity = 3
)

var Severity_name = map[int32]string{
	0: "Unspecified",
	1: "High",
	2: "Medium",
	3: "Low",
}

var Severity_value = map[string]int32{
	"Unspecified": 0,
	"High":        1,
	"Medium":      2,
	"Low":         3,
}

func (Severity) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_768283dde248a0f8, []int{2}
}

func init() {
	proto.RegisterEnum("temporal.api.enums.v1.EncodingType", EncodingType_name, EncodingType_value)
	proto.RegisterEnum("temporal.api.enums.v1.IndexedValueType", IndexedValueType_name, IndexedValueType_value)
	proto.RegisterEnum("temporal.api.enums.v1.Severity", Severity_name, Severity_value)
}

func init() {
	proto.RegisterFile("temporal/api/enums/v1/common.proto", fileDescriptor_768283dde248a0f8)
}

var fileDescriptor_768283dde248a0f8 = []byte{
	// 436 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x92, 0xb1, 0x6e, 0xd3, 0x40,
	0x18, 0xc7, 0x7d, 0x2e, 0x54, 0xe8, 0xa3, 0x88, 0xe3, 0xa0, 0x25, 0xb4, 0xe2, 0x10, 0x1d, 0x33,
	0x38, 0x8a, 0xba, 0x99, 0x29, 0x89, 0x3f, 0xda, 0x83, 0xc4, 0x67, 0x25, 0x17, 0xb7, 0x61, 0x20,
	0x0a, 0x8d, 0x55, 0x9d, 0x54, 0xfb, 0xac, 0x90, 0x46, 0x74, 0xe3, 0x11, 0x78, 0x0c, 0xc4, 0xca,
	0x4b, 0x30, 0x66, 0xec, 0x48, 0x9c, 0x05, 0x21, 0x86, 0x3c, 0x02, 0x8a, 0xa5, 0x44, 0x04, 0xb9,
	0xdb, 0xe9, 0xfb, 0xfd, 0xef, 0xfe, 0xfa, 0x4e, 0x3f, 0x38, 0x1c, 0x47, 0x71, 0x6a, 0x46, 0x83,
	0xcb, 0xca, 0x20, 0xd5, 0x95, 0x28, 0xb9, 0x8a, 0x3f, 0x56, 0x26, 0xd5, 0xca, 0xb9, 0x89, 0x63,
	0x93, 0x38, 0xe9, 0xc8, 0x8c, 0x0d, 0xdb, 0x5d, 0x65, 0x9c, 0x41, 0xaa, 0x9d, 0x3c, 0xe3, 0x4c,
	0xaa, 0xe5, 0x3e, 0xec, 0x60, 0x72, 0x6e, 0x86, 0x3a, 0xb9, 0x50, 0xd7, 0x69, 0xc4, 0x9e, 0xc3,
	0x33, 0xf4, 0x1b, 0xd2, 0x13, 0xfe, 0x71, 0x5f, 0xf5, 0x02, 0xec, 0x77, 0xfd, 0x4e, 0x80, 0x0d,
	0xf1, 0x5a, 0xa0, 0x47, 0x2d, 0x56, 0x82, 0x27, 0x9b, 0x38, 0x68, 0x4b, 0x25, 0x8f, 0x28, 0x61,
	0x7b, 0xc0, 0x36, 0xc9, 0x9b, 0x8e, 0xf4, 0xa9, 0x5d, 0xfe, 0x43, 0x80, 0x8a, 0x64, 0x18, 0x7d,
	0x8a, 0x86, 0xe1, 0xe0, 0xf2, 0x2a, 0xca, 0x5b, 0x0e, 0x81, 0x0b, 0xdf, 0xc3, 0x33, 0xf4, 0xfa,
	0x61, 0xad, 0xd9, 0xc5, 0xa2, 0xaa, 0x03, 0x78, 0x5a, 0x90, 0x51, 0x78, 0xa6, 0x28, 0x61, 0x1c,
	0xf6, 0x0b, 0xe0, 0x5b, 0xec, 0x9d, 0xca, 0xb6, 0x47, 0x6d, 0xb6, 0x0f, 0x7b, 0x05, 0x5c, 0xf8,
	0x8a, 0x6e, 0x2d, 0x57, 0x2c, 0x60, 0x9e, 0xec, 0xd6, 0x9b, 0x48, 0xef, 0xdc, 0xd2, 0x5b, 0x97,
	0xb2, 0x49, 0xef, 0xb2, 0x17, 0x70, 0x50, 0x74, 0xb7, 0xa6, 0x50, 0x89, 0x16, 0xd2, 0xed, 0xf2,
	0x7b, 0xb8, 0xd7, 0x89, 0x26, 0xd1, 0x48, 0x8f, 0xaf, 0x97, 0x9f, 0xd5, 0xc1, 0x10, 0xdb, 0x42,
	0xf5, 0xfe, 0xdb, 0xed, 0x11, 0x3c, 0x58, 0x93, 0x13, 0x71, 0x7c, 0x42, 0x09, 0x7b, 0x0c, 0x0f,
	0xd7, 0xa3, 0x16, 0x7a, 0xa2, 0xdb, 0xa2, 0x36, 0xa3, 0xb0, 0xb3, 0x1e, 0x36, 0xe5, 0x29, 0xdd,
	0xaa, 0x7f, 0x27, 0xd3, 0x19, 0xb7, 0x6e, 0x66, 0xdc, 0x5a, 0xcc, 0x38, 0xf9, 0x9c, 0x71, 0xf2,
	0x35, 0xe3, 0xe4, 0x47, 0xc6, 0xc9, 0x34, 0xe3, 0xe4, 0x67, 0xc6, 0xc9, 0xaf, 0x8c, 0x5b, 0x8b,
	0x8c, 0x93, 0x2f, 0x73, 0x6e, 0x4d, 0xe7, 0xdc, 0xba, 0x99, 0x73, 0x0b, 0x4a, 0xda, 0x38, 0x85,
	0x02, 0xd4, 0xef, 0x37, 0x72, 0x4b, 0x82, 0xa5, 0x24, 0x01, 0x79, 0xf7, 0xf2, 0xe2, 0x9f, 0xa0,
	0x36, 0x1b, 0x42, 0xbd, 0xca, 0x0f, 0xdf, 0xec, 0x5d, 0xb5, 0x0a, 0xd4, 0x52, 0xed, 0x60, 0xfe,
	0x52, 0x58, 0xfd, 0x6d, 0x97, 0x56, 0x73, 0xd7, 0xad, 0xa5, 0xda, 0x75, 0x73, 0xe2, 0xba, 0x61,
	0xf5, 0xc3, 0x76, 0xee, 0xe0, 0xd1, 0xdf, 0x00, 0x00, 0x00, 0xff, 0xff, 0x4b, 0x9f, 0xee, 0x8d,
	0xa9, 0x02, 0x00, 0x00,
}

func (x EncodingType) String() string {
	s, ok := EncodingType_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
func (x IndexedValueType) String() string {
	s, ok := IndexedValueType_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
func (x Severity) String() string {
	s, ok := Severity_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
