// The MIT License
//
// Copyright (c) 2020 Temporal Technologies Inc.  All rights reserved.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: temporal/api/enums/v1/failed_cause.proto

package enums

import (
	fmt "fmt"
	math "math"
	strconv "strconv"

	proto "github.com/gogo/protobuf/proto"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.GoGoProtoPackageIsVersion3 // please upgrade the proto package

type WorkflowTaskFailedCause int32

const (
	WORKFLOW_TASK_FAILED_CAUSE_UNSPECIFIED                                               WorkflowTaskFailedCause = 0
	WORKFLOW_TASK_FAILED_CAUSE_UNHANDLED_COMMAND                                         WorkflowTaskFailedCause = 1
	WORKFLOW_TASK_FAILED_CAUSE_BAD_SCHEDULE_ACTIVITY_ATTRIBUTES                          WorkflowTaskFailedCause = 2
	WORKFLOW_TASK_FAILED_CAUSE_BAD_REQUEST_CANCEL_ACTIVITY_ATTRIBUTES                    WorkflowTaskFailedCause = 3
	WORKFLOW_TASK_FAILED_CAUSE_BAD_START_TIMER_ATTRIBUTES                                WorkflowTaskFailedCause = 4
	WORKFLOW_TASK_FAILED_CAUSE_BAD_CANCEL_TIMER_ATTRIBUTES                               WorkflowTaskFailedCause = 5
	WORKFLOW_TASK_FAILED_CAUSE_BAD_RECORD_MARKER_ATTRIBUTES                              WorkflowTaskFailedCause = 6
	WORKFLOW_TASK_FAILED_CAUSE_BAD_COMPLETE_WORKFLOW_EXECUTION_ATTRIBUTES                WorkflowTaskFailedCause = 7
	WORKFLOW_TASK_FAILED_CAUSE_BAD_FAIL_WORKFLOW_EXECUTION_ATTRIBUTES                    WorkflowTaskFailedCause = 8
	WORKFLOW_TASK_FAILED_CAUSE_BAD_CANCEL_WORKFLOW_EXECUTION_ATTRIBUTES                  WorkflowTaskFailedCause = 9
	WORKFLOW_TASK_FAILED_CAUSE_BAD_REQUEST_CANCEL_EXTERNAL_WORKFLOW_EXECUTION_ATTRIBUTES WorkflowTaskFailedCause = 10
	WORKFLOW_TASK_FAILED_CAUSE_BAD_CONTINUE_AS_NEW_ATTRIBUTES                            WorkflowTaskFailedCause = 11
	WORKFLOW_TASK_FAILED_CAUSE_START_TIMER_DUPLICATE_ID                                  WorkflowTaskFailedCause = 12
	WORKFLOW_TASK_FAILED_CAUSE_RESET_STICKY_TASK_QUEUE                                   WorkflowTaskFailedCause = 13
	WORKFLOW_TASK_FAILED_CAUSE_WORKFLOW_WORKER_UNHANDLED_FAILURE                         WorkflowTaskFailedCause = 14
	WORKFLOW_TASK_FAILED_CAUSE_BAD_SIGNAL_WORKFLOW_EXECUTION_ATTRIBUTES                  WorkflowTaskFailedCause = 15
	WORKFLOW_TASK_FAILED_CAUSE_BAD_START_CHILD_EXECUTION_ATTRIBUTES                      WorkflowTaskFailedCause = 16
	WORKFLOW_TASK_FAILED_CAUSE_FORCE_CLOSE_COMMAND                                       WorkflowTaskFailedCause = 17
	WORKFLOW_TASK_FAILED_CAUSE_FAILOVER_CLOSE_COMMAND                                    WorkflowTaskFailedCause = 18
	WORKFLOW_TASK_FAILED_CAUSE_BAD_SIGNAL_INPUT_SIZE                                     WorkflowTaskFailedCause = 19
	WORKFLOW_TASK_FAILED_CAUSE_RESET_WORKFLOW                                            WorkflowTaskFailedCause = 20
	WORKFLOW_TASK_FAILED_CAUSE_BAD_BINARY                                                WorkflowTaskFailedCause = 21
	WORKFLOW_TASK_FAILED_CAUSE_SCHEDULE_ACTIVITY_DUPLICATE_ID                            WorkflowTaskFailedCause = 22
	WORKFLOW_TASK_FAILED_CAUSE_BAD_SEARCH_ATTRIBUTES                                     WorkflowTaskFailedCause = 23
	WORKFLOW_TASK_FAILED_CAUSE_NON_DETERMINISTIC_ERROR                                   WorkflowTaskFailedCause = 24
)

var WorkflowTaskFailedCause_name = map[int32]string{
	0:  "Unspecified",
	1:  "UnhandledCommand",
	2:  "BadScheduleActivityAttributes",
	3:  "BadRequestCancelActivityAttributes",
	4:  "BadStartTimerAttributes",
	5:  "BadCancelTimerAttributes",
	6:  "BadRecordMarkerAttributes",
	7:  "BadCompleteWorkflowExecutionAttributes",
	8:  "BadFailWorkflowExecutionAttributes",
	9:  "BadCancelWorkflowExecutionAttributes",
	10: "BadRequestCancelExternalWorkflowExecutionAttributes",
	11: "BadContinueAsNewAttributes",
	12: "StartTimerDuplicateId",
	13: "ResetStickyTaskQueue",
	14: "WorkflowWorkerUnhandledFailure",
	15: "BadSignalWorkflowExecutionAttributes",
	16: "BadStartChildExecutionAttributes",
	17: "ForceCloseCommand",
	18: "FailoverCloseCommand",
	19: "BadSignalInputSize",
	20: "ResetWorkflow",
	21: "BadBinary",
	22: "ScheduleActivityDuplicateId",
	23: "BadSearchAttributes",
	24: "NonDeterministicError",
}

var WorkflowTaskFailedCause_value = map[string]int32{
	"Unspecified":                                         0,
	"UnhandledCommand":                                    1,
	"BadScheduleActivityAttributes":                       2,
	"BadRequestCancelActivityAttributes":                  3,
	"BadStartTimerAttributes":                             4,
	"BadCancelTimerAttributes":                            5,
	"BadRecordMarkerAttributes":                           6,
	"BadCompleteWorkflowExecutionAttributes":              7,
	"BadFailWorkflowExecutionAttributes":                  8,
	"BadCancelWorkflowExecutionAttributes":                9,
	"BadRequestCancelExternalWorkflowExecutionAttributes": 10,
	"BadContinueAsNewAttributes":                          11,
	"StartTimerDuplicateId":                               12,
	"ResetStickyTaskQueue":                                13,
	"WorkflowWorkerUnhandledFailure":                      14,
	"BadSignalWorkflowExecutionAttributes":                15,
	"BadStartChildExecutionAttributes":                    16,
	"ForceCloseCommand":                                   17,
	"FailoverCloseCommand":                                18,
	"BadSignalInputSize":                                  19,
	"ResetWorkflow":                                       20,
	"BadBinary":                                           21,
	"ScheduleActivityDuplicateId":                         22,
	"BadSearchAttributes":                                 23,
	"NonDeterministicError":                               24,
}

func (WorkflowTaskFailedCause) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_b293cf8d1d965f2d, []int{0}
}

type StartChildWorkflowExecutionFailedCause int32

const (
	START_CHILD_WORKFLOW_EXECUTION_FAILED_CAUSE_UNSPECIFIED             StartChildWorkflowExecutionFailedCause = 0
	START_CHILD_WORKFLOW_EXECUTION_FAILED_CAUSE_WORKFLOW_ALREADY_EXISTS StartChildWorkflowExecutionFailedCause = 1
)

var StartChildWorkflowExecutionFailedCause_name = map[int32]string{
	0: "Unspecified",
	1: "WorkflowAlreadyExists",
}

var StartChildWorkflowExecutionFailedCause_value = map[string]int32{
	"Unspecified":           0,
	"WorkflowAlreadyExists": 1,
}

func (StartChildWorkflowExecutionFailedCause) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_b293cf8d1d965f2d, []int{1}
}

type CancelExternalWorkflowExecutionFailedCause int32

const (
	CANCEL_EXTERNAL_WORKFLOW_EXECUTION_FAILED_CAUSE_UNSPECIFIED                           CancelExternalWorkflowExecutionFailedCause = 0
	CANCEL_EXTERNAL_WORKFLOW_EXECUTION_FAILED_CAUSE_EXTERNAL_WORKFLOW_EXECUTION_NOT_FOUND CancelExternalWorkflowExecutionFailedCause = 1
)

var CancelExternalWorkflowExecutionFailedCause_name = map[int32]string{
	0: "Unspecified",
	1: "ExternalWorkflowExecutionNotFound",
}

var CancelExternalWorkflowExecutionFailedCause_value = map[string]int32{
	"Unspecified":                       0,
	"ExternalWorkflowExecutionNotFound": 1,
}

func (CancelExternalWorkflowExecutionFailedCause) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_b293cf8d1d965f2d, []int{2}
}

type SignalExternalWorkflowExecutionFailedCause int32

const (
	SIGNAL_EXTERNAL_WORKFLOW_EXECUTION_FAILED_CAUSE_UNSPECIFIED                           SignalExternalWorkflowExecutionFailedCause = 0
	SIGNAL_EXTERNAL_WORKFLOW_EXECUTION_FAILED_CAUSE_EXTERNAL_WORKFLOW_EXECUTION_NOT_FOUND SignalExternalWorkflowExecutionFailedCause = 1
)

var SignalExternalWorkflowExecutionFailedCause_name = map[int32]string{
	0: "Unspecified",
	1: "ExternalWorkflowExecutionNotFound",
}

var SignalExternalWorkflowExecutionFailedCause_value = map[string]int32{
	"Unspecified":                       0,
	"ExternalWorkflowExecutionNotFound": 1,
}

func (SignalExternalWorkflowExecutionFailedCause) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_b293cf8d1d965f2d, []int{3}
}

func init() {
	proto.RegisterEnum("temporal.api.enums.v1.WorkflowTaskFailedCause", WorkflowTaskFailedCause_name, WorkflowTaskFailedCause_value)
	proto.RegisterEnum("temporal.api.enums.v1.StartChildWorkflowExecutionFailedCause", StartChildWorkflowExecutionFailedCause_name, StartChildWorkflowExecutionFailedCause_value)
	proto.RegisterEnum("temporal.api.enums.v1.CancelExternalWorkflowExecutionFailedCause", CancelExternalWorkflowExecutionFailedCause_name, CancelExternalWorkflowExecutionFailedCause_value)
	proto.RegisterEnum("temporal.api.enums.v1.SignalExternalWorkflowExecutionFailedCause", SignalExternalWorkflowExecutionFailedCause_name, SignalExternalWorkflowExecutionFailedCause_value)
}

func init() {
	proto.RegisterFile("temporal/api/enums/v1/failed_cause.proto", fileDescriptor_b293cf8d1d965f2d)
}

var fileDescriptor_b293cf8d1d965f2d = []byte{
	// 781 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x56, 0x4f, 0x53, 0xf3, 0x44,
	0x18, 0x6f, 0x50, 0x5f, 0x75, 0x7d, 0xd5, 0xb8, 0x8a, 0x2f, 0xa7, 0xcc, 0x78, 0xf0, 0x1d, 0xdf,
	0x8e, 0xb6, 0x14, 0x04, 0x86, 0x56, 0x07, 0xb7, 0x9b, 0xa7, 0x74, 0xa7, 0x69, 0x52, 0x76, 0x37,
	0xfd, 0xc3, 0x65, 0x27, 0x42, 0xc1, 0x0c, 0xa5, 0xe9, 0x94, 0x82, 0x1c, 0xfd, 0x08, 0x7c, 0x0c,
	0xc7, 0x83, 0x67, 0x3f, 0x02, 0x47, 0x8e, 0x1c, 0xa5, 0x5c, 0x1c, 0x4f, 0x7c, 0x04, 0xa7, 0x91,
	0x76, 0x82, 0x74, 0x92, 0xd4, 0x5b, 0x92, 0xe7, 0xf7, 0xfb, 0xed, 0xf3, 0x2f, 0xfb, 0x3c, 0xe8,
	0xab, 0x51, 0xf7, 0x74, 0x10, 0x0c, 0xbd, 0x5e, 0xde, 0x1b, 0xf8, 0xf9, 0x6e, 0xff, 0xfc, 0xf4,
	0x2c, 0x7f, 0x51, 0xc8, 0x1f, 0x79, 0x7e, 0xaf, 0x7b, 0xa8, 0x0e, 0xbc, 0xf3, 0xb3, 0x6e, 0x6e,
	0x30, 0x0c, 0x46, 0x01, 0x5e, 0x9e, 0x22, 0x73, 0xde, 0xc0, 0xcf, 0x85, 0xc8, 0xdc, 0x45, 0x21,
	0x7b, 0xf5, 0x12, 0xbd, 0x6a, 0x05, 0xc3, 0x93, 0xa3, 0x5e, 0xf0, 0xb3, 0xf4, 0xce, 0x4e, 0x2a,
	0x21, 0x93, 0x4e, 0x88, 0x38, 0x8b, 0x5e, 0xb7, 0x1c, 0x5e, 0xab, 0x58, 0x4e, 0x4b, 0x49, 0x22,
	0x6a, 0xaa, 0x42, 0x98, 0x05, 0xa6, 0xa2, 0xc4, 0x15, 0xa0, 0x5c, 0x5b, 0x34, 0x80, 0xb2, 0x0a,
	0x03, 0x53, 0xcf, 0xe0, 0x55, 0xf4, 0x75, 0x2c, 0xb6, 0x4a, 0x6c, 0x33, 0x7c, 0x77, 0xea, 0x75,
	0x62, 0x9b, 0xba, 0x86, 0x77, 0x50, 0x29, 0x86, 0x51, 0x26, 0xa6, 0x12, 0xb4, 0x0a, 0xa6, 0x6b,
	0x81, 0x22, 0x54, 0xb2, 0x26, 0x93, 0x1d, 0x45, 0xa4, 0xe4, 0xac, 0xec, 0x4a, 0x10, 0xfa, 0x12,
	0x06, 0x44, 0x12, 0x04, 0x38, 0xec, 0xb9, 0x20, 0xa4, 0xa2, 0xc4, 0xa6, 0x60, 0xcd, 0x95, 0x79,
	0x0b, 0x6f, 0xa3, 0x8d, 0x24, 0x3f, 0x24, 0xe1, 0x52, 0x49, 0x56, 0x07, 0x1e, 0xa5, 0xbe, 0x8d,
	0x8b, 0x68, 0x33, 0x81, 0xfa, 0x78, 0xf2, 0x33, 0xee, 0x3b, 0xb8, 0x84, 0xb6, 0x12, 0xbd, 0xa7,
	0x0e, 0x37, 0x55, 0x9d, 0xf0, 0xda, 0x53, 0xf2, 0x0b, 0xcc, 0x10, 0x24, 0x1d, 0xec, 0xd4, 0x1b,
	0x16, 0x48, 0x50, 0x33, 0x1c, 0xb4, 0x81, 0xba, 0x92, 0x39, 0x76, 0x54, 0xea, 0xdd, 0x14, 0x59,
	0x9c, 0x7c, 0x48, 0x90, 0x79, 0x0f, 0xef, 0x22, 0x9a, 0x2e, 0x15, 0xf1, 0x42, 0xef, 0xe3, 0x36,
	0x92, 0x8b, 0x55, 0x15, 0xda, 0x12, 0xb8, 0x4d, 0x92, 0x94, 0x11, 0xfe, 0x1e, 0x6d, 0x27, 0x26,
	0xcd, 0x96, 0xcc, 0x76, 0x41, 0x11, 0xa1, 0x6c, 0x68, 0x45, 0xe9, 0x1f, 0xe0, 0x2d, 0xb4, 0x1e,
	0x43, 0x8f, 0xf6, 0x88, 0xe9, 0x36, 0x2c, 0x46, 0x89, 0x04, 0xc5, 0x4c, 0xfd, 0x25, 0xde, 0x44,
	0x6b, 0x31, 0x44, 0x0e, 0x02, 0xa4, 0x12, 0x92, 0xd1, 0x5a, 0xe7, 0x5f, 0xf3, 0x9e, 0x0b, 0x2e,
	0xe8, 0x1f, 0xe2, 0x1f, 0xd0, 0x77, 0x31, 0xbc, 0x99, 0x69, 0xf2, 0x00, 0x3c, 0xf2, 0x8b, 0x4d,
	0x60, 0x2e, 0x07, 0xfd, 0xa3, 0x14, 0x45, 0x11, 0x6c, 0x37, 0x39, 0x75, 0x1f, 0x63, 0x8a, 0x76,
	0x52, 0xfd, 0x23, 0xb4, 0xca, 0x2c, 0x73, 0xbe, 0x88, 0x8e, 0xd7, 0x50, 0x2e, 0x46, 0xa4, 0xe2,
	0x70, 0x0a, 0x8a, 0x5a, 0x8e, 0x80, 0xd9, 0x25, 0xf1, 0x09, 0xde, 0x40, 0x85, 0x38, 0x0e, 0x61,
	0x96, 0xd3, 0x04, 0xfe, 0x1f, 0x1a, 0xc6, 0xdf, 0xa2, 0xd5, 0x74, 0x81, 0x33, 0xbb, 0xe1, 0x4a,
	0x25, 0xd8, 0x3e, 0xe8, 0x9f, 0xe2, 0x6f, 0xd0, 0x9b, 0xc4, 0x42, 0x4d, 0x01, 0xfa, 0x67, 0xf8,
	0x0d, 0xfa, 0x32, 0xe1, 0x90, 0x32, 0xb3, 0x09, 0xef, 0xe8, 0xcb, 0x09, 0xad, 0xf7, 0xfc, 0x9e,
	0x7b, 0xd2, 0x41, 0x9f, 0xa7, 0x09, 0x07, 0x08, 0xa7, 0xd5, 0x68, 0xbe, 0x5f, 0x25, 0xf4, 0x9d,
	0xed, 0xd8, 0xca, 0x04, 0x09, 0xbc, 0xce, 0x6c, 0x36, 0x69, 0x3f, 0x05, 0x9c, 0x3b, 0x5c, 0x5f,
	0xc9, 0xfe, 0xae, 0xa1, 0xd7, 0x62, 0xe4, 0x0d, 0x47, 0xf4, 0x27, 0xbf, 0x77, 0x38, 0x1d, 0x0e,
	0x70, 0xd9, 0x3d, 0x38, 0x1f, 0xf9, 0x41, 0x3f, 0x3a, 0x21, 0x4a, 0x68, 0x2b, 0x5a, 0xf8, 0x39,
	0x6d, 0x14, 0x33, 0x32, 0x76, 0x11, 0x5d, 0x84, 0x3c, 0xb3, 0x13, 0x8b, 0x03, 0x31, 0x3b, 0x0a,
	0xda, 0x4c, 0x48, 0xa1, 0x6b, 0xd9, 0x6b, 0x0d, 0x65, 0xa9, 0xd7, 0x3f, 0xe8, 0xf6, 0xe0, 0x72,
	0xd4, 0x1d, 0xf6, 0xbd, 0x5e, 0xac, 0xd3, 0x3b, 0xa8, 0x94, 0xe2, 0xea, 0x88, 0x71, 0xbc, 0x83,
	0xdc, 0x45, 0x05, 0xe2, 0x80, 0xb6, 0x23, 0x55, 0xc5, 0x71, 0x27, 0x43, 0x31, 0x0c, 0x45, 0xf8,
	0xc7, 0x7d, 0x2f, 0x75, 0x28, 0x8f, 0x8d, 0xfc, 0xff, 0x43, 0x59, 0x54, 0x20, 0x65, 0x28, 0xe5,
	0x3f, 0xb4, 0x9b, 0x3b, 0x23, 0x73, 0x7b, 0x67, 0x64, 0x1e, 0xee, 0x0c, 0xed, 0x97, 0xb1, 0xa1,
	0xfd, 0x3a, 0x36, 0xb4, 0xeb, 0xb1, 0xa1, 0xdd, 0x8c, 0x0d, 0xed, 0xcf, 0xb1, 0xa1, 0xfd, 0x35,
	0x36, 0x32, 0x0f, 0x63, 0x43, 0xbb, 0xba, 0x37, 0x32, 0x37, 0xf7, 0x46, 0xe6, 0xf6, 0xde, 0xc8,
	0xa0, 0x15, 0x3f, 0xc8, 0xcd, 0x5d, 0x55, 0xca, 0x7a, 0x24, 0xf2, 0xc6, 0x64, 0xa7, 0x69, 0x68,
	0xfb, 0x5f, 0x1c, 0x47, 0xd0, 0x7e, 0xf0, 0x64, 0x0b, 0x2a, 0x85, 0x0f, 0xbf, 0x2d, 0x2d, 0xcb,
	0x29, 0x80, 0x0c, 0xfc, 0x1c, 0x84, 0x72, 0xcd, 0xc2, 0xdf, 0x4b, 0x2b, 0xd3, 0xef, 0xc5, 0x22,
	0x19, 0xf8, 0xc5, 0x62, 0x68, 0x29, 0x16, 0x9b, 0x85, 0x1f, 0x5f, 0x84, 0x2b, 0xd3, 0xfa, 0x3f,
	0x01, 0x00, 0x00, 0xff, 0xff, 0x7b, 0x3c, 0x91, 0x66, 0x5e, 0x09, 0x00, 0x00,
}

func (x WorkflowTaskFailedCause) String() string {
	s, ok := WorkflowTaskFailedCause_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
func (x StartChildWorkflowExecutionFailedCause) String() string {
	s, ok := StartChildWorkflowExecutionFailedCause_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
func (x CancelExternalWorkflowExecutionFailedCause) String() string {
	s, ok := CancelExternalWorkflowExecutionFailedCause_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
func (x SignalExternalWorkflowExecutionFailedCause) String() string {
	s, ok := SignalExternalWorkflowExecutionFailedCause_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
