// The MIT License
//
// Copyright (c) 2020 Temporal Technologies Inc.  All rights reserved.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: temporal/api/enums/v1/namespace.proto

package enums

import (
	fmt "fmt"
	math "math"
	strconv "strconv"

	proto "github.com/gogo/protobuf/proto"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.GoGoProtoPackageIsVersion3 // please upgrade the proto package

type NamespaceState int32

const (
	NAMESPACE_STATE_UNSPECIFIED NamespaceState = 0
	NAMESPACE_STATE_REGISTERED  NamespaceState = 1
	NAMESPACE_STATE_DEPRECATED  NamespaceState = 2
	NAMESPACE_STATE_DELETED     NamespaceState = 3
)

var NamespaceState_name = map[int32]string{
	0: "Unspecified",
	1: "Registered",
	2: "Deprecated",
	3: "Deleted",
}

var NamespaceState_value = map[string]int32{
	"Unspecified": 0,
	"Registered":  1,
	"Deprecated":  2,
	"Deleted":     3,
}

func (NamespaceState) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_d8c23ee067d676e7, []int{0}
}

type ArchivalState int32

const (
	ARCHIVAL_STATE_UNSPECIFIED ArchivalState = 0
	ARCHIVAL_STATE_DISABLED    ArchivalState = 1
	ARCHIVAL_STATE_ENABLED     ArchivalState = 2
)

var ArchivalState_name = map[int32]string{
	0: "Unspecified",
	1: "Disabled",
	2: "Enabled",
}

var ArchivalState_value = map[string]int32{
	"Unspecified": 0,
	"Disabled":    1,
	"Enabled":     2,
}

func (ArchivalState) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_d8c23ee067d676e7, []int{1}
}

func init() {
	proto.RegisterEnum("temporal.api.enums.v1.NamespaceState", NamespaceState_name, NamespaceState_value)
	proto.RegisterEnum("temporal.api.enums.v1.ArchivalState", ArchivalState_name, ArchivalState_value)
}

func init() {
	proto.RegisterFile("temporal/api/enums/v1/namespace.proto", fileDescriptor_d8c23ee067d676e7)
}

var fileDescriptor_d8c23ee067d676e7 = []byte{
	// 341 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x6c, 0x91, 0xc1, 0x4a, 0xeb, 0x40,
	0x14, 0x86, 0x33, 0xb9, 0x70, 0x17, 0x03, 0xf7, 0x52, 0x02, 0xb5, 0xa5, 0x85, 0x23, 0x2e, 0xdc,
	0x74, 0x91, 0x10, 0xdc, 0xc5, 0xd5, 0x34, 0x39, 0x6a, 0xa0, 0x86, 0x90, 0xc4, 0x2e, 0xdc, 0x94,
	0xb1, 0x04, 0x3b, 0xd0, 0x36, 0x43, 0x1b, 0xbb, 0xf6, 0x09, 0xc4, 0xc7, 0x10, 0x1f, 0xc0, 0x67,
	0x70, 0xd9, 0x65, 0x97, 0x76, 0xba, 0x11, 0x57, 0x7d, 0x04, 0x69, 0x4a, 0x50, 0x6b, 0x77, 0xc3,
	0x7c, 0x1f, 0x87, 0x9f, 0xff, 0xa7, 0xc7, 0x79, 0x3a, 0x92, 0xd9, 0x84, 0x0f, 0x2d, 0x2e, 0x85,
	0x95, 0x8e, 0xef, 0x46, 0x53, 0x6b, 0x66, 0x5b, 0x63, 0x3e, 0x4a, 0xa7, 0x92, 0xf7, 0x53, 0x53,
	0x4e, 0xb2, 0x3c, 0x33, 0xaa, 0xa5, 0x66, 0x72, 0x29, 0xcc, 0x42, 0x33, 0x67, 0x76, 0xeb, 0x81,
	0xd0, 0xff, 0x41, 0xa9, 0xc6, 0x39, 0xcf, 0x53, 0xe3, 0x90, 0x36, 0x03, 0x76, 0x89, 0x71, 0xc8,
	0x5c, 0xec, 0xc5, 0x09, 0x4b, 0xb0, 0x77, 0x15, 0xc4, 0x21, 0xba, 0xfe, 0x99, 0x8f, 0x5e, 0x45,
	0x33, 0x80, 0x36, 0x76, 0x85, 0x08, 0xcf, 0xfd, 0x38, 0xc1, 0x08, 0xbd, 0x0a, 0xd9, 0xc7, 0x3d,
	0x0c, 0x23, 0x74, 0x59, 0x82, 0x5e, 0x45, 0x37, 0x9a, 0xb4, 0xf6, 0x9b, 0x77, 0x70, 0x03, 0xff,
	0xb4, 0x06, 0xf4, 0x1f, 0x9b, 0xf4, 0x07, 0x62, 0xc6, 0x87, 0xdb, 0x38, 0x40, 0x1b, 0x2c, 0x72,
	0x2f, 0xfc, 0x2e, 0xeb, 0xec, 0x4d, 0xd3, 0xa4, 0xb5, 0x1d, 0xee, 0xf9, 0x31, 0x6b, 0x77, 0x8a,
	0x28, 0x0d, 0x7a, 0xb0, 0x03, 0x31, 0xd8, 0x32, 0xbd, 0xfd, 0x42, 0xe6, 0x4b, 0xd0, 0x16, 0x4b,
	0xd0, 0xd6, 0x4b, 0x20, 0xf7, 0x0a, 0xc8, 0x93, 0x02, 0xf2, 0xaa, 0x80, 0xcc, 0x15, 0x90, 0x37,
	0x05, 0xe4, 0x5d, 0x81, 0xb6, 0x56, 0x40, 0x1e, 0x57, 0xa0, 0xcd, 0x57, 0xa0, 0x2d, 0x56, 0xa0,
	0xd1, 0xba, 0xc8, 0xcc, 0xbd, 0x5d, 0xb6, 0xbf, 0x8a, 0x0c, 0x37, 0x95, 0x87, 0xe4, 0xfa, 0xe8,
	0xf6, 0x9b, 0x2b, 0xb2, 0x1f, 0x0b, 0x9d, 0x16, 0x8f, 0x67, 0xbd, 0x9a, 0x94, 0x02, 0x93, 0xc2,
	0xc4, 0xe2, 0x58, 0xd7, 0xfe, 0xd0, 0xeb, 0xe5, 0xbf, 0xe3, 0x30, 0x29, 0x1c, 0xa7, 0x20, 0x8e,
	0xd3, 0xb5, 0x6f, 0xfe, 0x16, 0x8b, 0x9e, 0x7c, 0x06, 0x00, 0x00, 0xff, 0xff, 0x1a, 0xdc, 0xf0,
	0x34, 0xfa, 0x01, 0x00, 0x00,
}

func (x NamespaceState) String() string {
	s, ok := NamespaceState_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
func (x ArchivalState) String() string {
	s, ok := ArchivalState_name[int32(x)]
	if ok {
		return s
	}
	return strconv.Itoa(int(x))
}
